Bug 845031 - Review Request: gnome-boxes-nonfree - This package provides the non-free content for gnome-boxes package
Summary: Review Request: gnome-boxes-nonfree - This package provides the non-free cont...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-01 14:38 UTC by Zeeshan Ali
Modified: 2016-09-20 01:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-31 16:12:12 UTC


Attachments (Terms of Use)

Description Zeeshan Ali 2012-08-01 14:38:18 UTC
Spec URL: http://zeenix.fedorapeople.org/gnome-boxes-nonfree.spec
SRPM URL: http://zeenix.fedorapeople.org/itstool-1.0.1-1.fc16.src.rpm
Description: This package contains the nonfree data for Boxes. Unlike rest of the Boxes contents, product logos are not licensed under LGPLv2+ and hence the need to ship it in a separate pacakge. For more details on the rationale for the
existance package/repository:

https://bugzilla.gnome.org/show_bug.cgi?id=671251

Boxes has acquired explicit permission from trademark owners for the usage and
shipment of their logos. Please note that this permission does not extend
to any derivate work but only applies to Boxes for the very specific purpose of
identifying the products in question.

Fedora Account System Username: zeenix

Comment 1 Zeeshan Ali 2012-08-01 14:45:42 UTC
Sorry, wrong SRPM URL. Here is the correct one: http://zeenix.fedorapeople.org/gnome-boxes-nonfree-0.0.2-1.fc17.src.rpm

You'll note that I've put 'LGPLv2+' as the Licence but thats not true. Looking at this page, I don't see which would be the right value here though so please let me know which value is appropriate and I'll use that:

https://fedoraproject.org/wiki/Licensing#Content_Licenses

Also please note that these logos were previously shipped with gnome-boxes package itself and we have been in communication with Fedora legal about this issue:

http://lists.fedoraproject.org/pipermail/advisory-board/2012-February/011360.html

Comment 2 Tom "spot" Callaway 2012-08-09 13:27:29 UTC
Please use:

License: Licensed only for approved usage, see COPYING for details.

Comment 3 Zeeshan Ali 2012-08-09 14:26:40 UTC
(In reply to comment #2)
> Please use:
> 
> License: Licensed only for approved usage, see COPYING for details.

Thanks! I updated the files:

http://zeenix.fedorapeople.org/gnome-boxes-nonfree.spec
http://zeenix.fedorapeople.org/gnome-boxes-nonfree-0.0.2-1.fc17.src.rpm

Comment 4 Christophe Fergeau 2012-08-09 14:36:51 UTC
16:28 <@teuf> zeenix: shouldn't this be a noarch package ?
16:28 <@teuf> there is nothing architecture specific in there, is there?
16:29 <@zeenix> nope
16:29  * zeenix updates
16:30 <@teuf> Unlike rest ... -> Unlike the rest ... ?
16:30 <@teuf> pacakge
16:31 <@teuf> existence
16:32 <@teuf> update-desktop-database &> /dev/null || :
16:32 <@teuf> update-mime-database %{_datadir}/mime &> /dev/null || :
16:32 <@teuf> is that installing mime/desktop files ?
16:33 <@teuf> I'd put http://lists.fedoraproject.org/pipermail/advisory-board/2012-February/011360.html in the .spec

"This package contains the nonfree data for Boxes" -> non-free
to ship them in ...
For more details on the rationale for the existence of this package:

you can remove the empty %post sections

I'm not sure about the Requires: gnome-boxes

Comment 5 Zeeshan Ali 2012-08-09 14:47:44 UTC
(In reply to comment #4)
> 
> "This package contains the nonfree data for Boxes" -> non-free
> to ship them in ...
> For more details on the rationale for the existence of this package:

Sorry, didn't catch this bit.

> I'm not sure about the Requires: gnome-boxes

Just another step to try to ensure that these logos are not used outside Boxes.

Comment 6 Zeeshan Ali 2012-08-09 18:53:53 UTC
Updated the the spec/srpm files at the same location according to latest review.

Comment 7 Zeeshan Ali 2012-08-31 16:12:12 UTC
Not needed anymore. For details:

https://bugzilla.gnome.org/show_bug.cgi?id=682573


Note You need to log in before you can comment on or make changes to this bug.